add_subdirectory( icons )
add_subdirectory( data )

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### kverbos (executable)

tde_add_executable( kverbos AUTOMOC

  SOURCES
        qresult.ui
        qerfassen.ui
        qverbedit.ui
        qverbosoptions.ui
        qlernen.ui
        kfeedercontrol.cpp
        kresult.cpp
        verbspanish.cpp
        kverbosuser.cpp
        kerfassen.cpp
        kverbedit.cpp
        kverbosoptions.cpp
        kstartuplogo.cpp
        kverbosview.cpp
        kverbosdoc.cpp
        kverbos.cpp
        main.cpp
        prefs.kcfgc
  LINK
     tdecore-shared
     tdeui-shared
     tdeio-shared

  DESTINATION ${BIN_INSTALL_DIR}
)


##### other data

install(
    FILES startuplogo.png
    DESTINATION ${DATA_INSTALL_DIR}/kverbos/pics
)

install(
    FILES kverbosui.rc
    DESTINATION ${DATA_INSTALL_DIR}/kverbos
)

tde_create_translated_desktop( kverbos.desktop )

install(
    FILES kverbos.kcfg
    DESTINATION ${KCFG_INSTALL_DIR}
)
